Name:          intel-gmmlib
Version:       22.7.0
Release:       1mamba
Summary:       Library for the Intel(R) Graphics Compute Runtime for OpenCL(TM) and the Intel(R) Media Driver for VAAPI
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/intel/gmmlib
Source:        https://github.com/intel/gmmlib.git/intel-gmmlib-%{version}/gmmlib-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      libigdgmm = %{?epoch:%epoch:}%{version}-%{release}

%description
The Intel(R) Graphics Memory Management Library provides device specific and buffer management for the Intel(R) Graphics Compute Runtime for OpenCL(TM) and the Intel(R) Media Driver for VAAPI.

%package -n libigdgmm
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n libigdgmm
This package contains shared libraries for %{name}.

%package -n libigdgmm-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libigdgmm = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libigdgmm-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n gmmlib-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n libigdgmm
%defattr(-,root,root)
%{_libdir}/libigdgmm.so.*
%doc LICENSE.md

%files -n libigdgmm-devel
%defattr(-,root,root)
%dir %{_includedir}/igdgmm/
%{_includedir}/igdgmm/*
%{_libdir}/libigdgmm.so
%{_libdir}/pkgconfig/igdgmm.pc
%doc README.rst

%changelog
* Mon Mar 10 2025 Automatic Build System <autodist@openmamba.org> 22.7.0-1mamba
- automatic version update by autodist

* Fri Dec 27 2024 Automatic Build System <autodist@openmamba.org> 22.6.0-1mamba
- automatic version update by autodist

* Sun Dec 08 2024 Automatic Build System <autodist@openmamba.org> 22.5.5-1mamba
- automatic version update by autodist

* Sat Nov 23 2024 Automatic Build System <autodist@openmamba.org> 22.5.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2024 Automatic Build System <autodist@openmamba.org> 22.5.3-1mamba
- automatic version update by autodist

* Tue Sep 10 2024 Automatic Build System <autodist@openmamba.org> 22.5.2-1mamba
- automatic version update by autodist

* Tue Sep 03 2024 Automatic Build System <autodist@openmamba.org> 22.5.1-1mamba
- automatic version update by autodist

* Fri Aug 09 2024 Automatic Build System <autodist@openmamba.org> 22.5.0-1mamba
- automatic version update by autodist

* Wed Jul 03 2024 Automatic Build System <autodist@openmamba.org> 22.4.1-1mamba
- automatic version update by autodist

* Sat Jun 29 2024 Automatic Build System <autodist@openmamba.org> 22.4.0-1mamba
- automatic version update by autodist

* Wed Jun 05 2024 Automatic Build System <autodist@openmamba.org> 22.3.20-1mamba
- automatic version update by autodist

* Wed Apr 10 2024 Automatic Build System <autodist@openmamba.org> 22.3.19-1mamba
- automatic version update by autodist

* Wed Mar 13 2024 Automatic Build System <autodist@openmamba.org> 22.3.18-1mamba
- automatic version update by autodist

* Thu Jan 18 2024 Automatic Build System <autodist@openmamba.org> 22.3.17-1mamba
- automatic version update by autodist

* Thu Dec 21 2023 Automatic Build System <autodist@mambasoft.it> 22.3.16-1mamba
- automatic version update by autodist

* Thu Dec 14 2023 Automatic Build System <autodist@mambasoft.it> 22.3.15-1mamba
- automatic version update by autodist

* Thu Nov 23 2023 Automatic Build System <autodist@mambasoft.it> 22.3.14-1mamba
- automatic version update by autodist

* Sat Sep 23 2023 Automatic Build System <autodist@mambasoft.it> 22.3.12-1mamba
- automatic version update by autodist

* Sat Sep 02 2023 Automatic Build System <autodist@mambasoft.it> 22.3.11-1mamba
- automatic version update by autodist

* Tue Aug 15 2023 Automatic Build System <autodist@mambasoft.it> 22.3.10-1mamba
- automatic version update by autodist

* Sun Jul 16 2023 Automatic Build System <autodist@mambasoft.it> 22.3.9-1mamba
- automatic version update by autodist

* Sun Jun 11 2023 Automatic Build System <autodist@mambasoft.it> 22.3.7-1mamba
- automatic version update by autodist

* Wed Jun 07 2023 Automatic Build System <autodist@mambasoft.it> 22.3.6-1mamba
- automatic version update by autodist

* Sun Jun 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 22.3.5-1mamba
- package created using the webbuild interface
